Bug 186875 - Fails to compile on ia64
Fails to compile on ia64
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: irda-utils (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Jay Turner
:
Depends On:
Blocks: 176344 198868
  Show dependency treegraph
 
Reported: 2006-03-27 03:10 EST by Bastien Nocera
Modified: 2015-01-07 19:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 15:50:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
irda-utils-fix-ia64-build.patch (1.12 KB, patch)
2006-03-27 03:10 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-03-27 03:10:12 EST
0.9.16-3

During build it shows:
make[1]: Entering directory `/usr/src/redhat/BUILD/irda-utils-0.9.16/findchip'
gcc -O2 -g -pipe  -O2 -Wall -Wstrict-prototypes -c findchip.c
gcc -O2 -g -pipe  -O2 -Wall -Wstrict-prototypes -c smc.c
In file included from smc.c:35:
/usr/include/asm/io.h: In function `__insb':
/usr/include/asm/io.h:128: error: `platform_inb' undeclared (first use in this
function)
/usr/include/asm/io.h:128: error: (Each undeclared identifier is reported only once
/usr/include/asm/io.h:128: error: for each function it appears in.)
/usr/include/asm/io.h: In function `__insw':
/usr/include/asm/io.h:146: error: `platform_inw' undeclared (first use in this
function)
/usr/include/asm/io.h: In function `__insl':
/usr/include/asm/io.h:164: error: `platform_inl' undeclared (first use in this
function)
/usr/include/asm/io.h: In function `__outsb':
/usr/include/asm/io.h:182: error: `platform_outb' undeclared (first use in this
function)
/usr/include/asm/io.h: In function `__outsw':
/usr/include/asm/io.h:199: error: `platform_outw' undeclared (first use in this
function)
/usr/include/asm/io.h: In function `__outsl':
/usr/include/asm/io.h:216: error: `platform_outl' undeclared (first use in this
function)
smc.c: In function `register_bank':
smc.c:86: warning: implicit declaration of function `platform_outb'
smc.c:86: warning: implicit declaration of function `platform_inb'
make[1]: *** [smc.o] Error 1

asm/io.h shouldn't be used directly, instead sys/io.h should be used. Patch
attached.
Comment 1 Bastien Nocera 2006-03-27 03:10:13 EST
Created attachment 126798 [details]
irda-utils-fix-ia64-build.patch
Comment 2 Karsten Hopp 2006-04-03 05:12:02 EDT
patch committed to CVS, waiting for some ACKs before I build it.
Comment 3 RHEL Product and Program Management 2006-09-05 15:41:11 EDT
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.
Comment 4 RHEL Product and Program Management 2006-09-05 15:50:17 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.